it-swarm.com.ru

Как играть в вебм (используя кодек VP9) в VLC?

При воспроизведении файла .webm с использованием кодека VP9 в VLC я получаю следующее сообщение об ошибке (и воспроизводится звук ):

VLC не поддерживает аудио или видео формат "VP90". К сожалению, у вас нет возможности это исправить.

Я могу воспроизвести эти файлы в тотеме, но как я могу воспроизвести их в VLC?

Я нахожусь на Ubuntu 14.04 и VLC 2.1.6. Пакет ubuntu-restricted-extras установлен.

13
Joschua

VP9 требует VLC 2.2.

Sudo add-apt-repository ppa:mc3man/trusty-media

Sudo apt-get update

Sudo apt-get install vlc vlc-plugin-*

https://forum.videolan.org/viewtopic.php?t=131211

У меня была эта проблема в Ubuntu 14.04, и она была решена путем установки VLC 2.2.

7
Terence Rajkamal

Нет необходимости устанавливать ubuntu-restricted-extras, чтобы иметь возможность играть в WebM с VLC. VLC 2.1.2 поддерживает VP9 по умолчанию (см. http://www.webmproject.org/vp9/ и http://www.videolan.org/vlc/releases/2.1. 2.html ). Вы можете попробовать обновить VLC или установить последнюю стабильную версию, загрузив ее непосредственно с сайта VLC.

2
Karl Wilbur

Мне пришлось apt remove vlc-?, прежде чем я узнал, что что-то из этого пакета разрушает видео HTML5 (кодек 'vp9')/DASH ускоряет рендеринг/потоковую передачу видео в Firefox.

2
L Tischmann

Вам может понадобиться установить ограниченные дополнения:

Sudo apt-get install ubuntu-restricted-extras

Это должно работать. Но если это не сработает после установки ubuntu-limited-extras

Откройте Центр программного обеспечения Ubuntu, найдите "gstreamer" и установите его.

Или откройте терминал и введите следующие команды:

Sudo add-apt-repository ppa:gstreamer-developers/ppa
Sudo apt-get update
Sudo apt-get install gstreamer1.0*

Надеюсь, это поможет.

0
Yuran Pereira